Subject: bug#3366: 23.0.94; doc of split-window-preferred-function, display-buffer, etc.

From: Stefan Monnier <[email-masked]>
Date: Wed, 27 May 2009 13:54:12 -0400

>> Huh?  Emacs-22 does not have `split-window-preferred-function', so
>> I can't see how backward compatibility comes into the picture.
> `split-window-preferred-function' is a stand-in for `split-window' and
> that was called up to two times by Emacs 22.  Or did you intend to move
> the `get-largest-window' and `get-lru-window' calls and the check
> whether the resulting frame is splittable to `split-window-sensibly'?

So you're saying that it's difficult to preserve the old behavior,
introduce split-window-preferred-function and also make sure that
split-window-preferred-function is only called once?

I guess you're right.  It would require a different organization
(e.g. moving or duplicating the calls to window-splittable-p outside of
split-window-sensibly).  Not worth the trouble.

        Stefan